Bug 16557 - mawk-1.3.3-4 miscompiled by gcc-2.96-52
Summary: mawk-1.3.3-4 miscompiled by gcc-2.96-52
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mawk   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL: http://ftp.valinux.com/pub/support/hj...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-19 01:45 UTC by Red Hat Bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 00:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-08-19 01:45:57 UTC
mawk-1.3.3-4 compiled by gcc-2.96-52 dumps core:

# mawk -f firstversions.awk mm
libc {
  GLIBC_2.0
  GLIBC_2.1
  GLIBC_2.1.1
zsh: 5431 segmentation fault  mawk -f firstversions.awk mm

firstversions.awk and mm can be found at:

http://ftp.valinux.com/pub/support/hjl/bugs/mawk

Comment 1 Red Hat Bugzilla 2000-08-19 01:56:38 UTC
array.c in mawk 1.3.3-4 is miscompiled by -O2. -O seems ok.

Comment 2 Red Hat Bugzilla 2000-08-19 17:43:33 UTC
Using -O2 -fno-strength-reduce on array.c generates a working mawk.
BTW, gcc 2.96 20000819 still miscompiles mawk.

Comment 3 Red Hat Bugzilla 2000-08-20 00:15:21 UTC
Jakub is fixing this problem in gcc. Thanks for your report.

Comment 4 Red Hat Bugzilla 2000-08-21 13:51:53 UTC
a workaround was made in mawk as well.


Note You need to log in before you can comment on or make changes to this bug.